atfsrepair(1)

NAME
atfsrepair - repair corrupted AtFS repository, or convert old repository to new format.

SYNOPSIS
atfsrepair [-Ceinqv] file1 ...

DESCRIPTION
Atfsrepair checks the AtFS repository for inconsistencies in the a given file history. If a corrupted archive file is found in the repository, atfsrepair tries to repair it by reconstructing missing parts and eliminating inconsistencies. Without a file argument, atfsrepair handles the complete repository. Atfsrepair is interactive and (hopefully) self explanatory.

If you have permission problems, e.g. your AtFS repository grants group write permission but another user from your group can still not save data to the repository, atfsrepair is also the right thing to do. The programs straightens permission bits within the repository.

Atfsrepair automatically updates archive files, when the archive file format or the arrangement of archive files within the AtFS subdirectory was changed. Before taking any permanent action, atfsrepair asks the user for a confirmation. This behaviour can be switched off by either the -n or the -q option (see below).

Atfsrepair shall not be called concurrently with other applications on an AtFS repository. Make sure, that nobody else works on the repository to be repaired as atfsrepair may ignore existing archive locks and does not set own locks.

OPTIONS

-C  This option causes atfsrepair to try it's hand at a derived object cache.

-e  Edit Mode. Invoking atfsrepair with this option rather serves for manipulating archive files than for repairing them. It shall only be used by very experienced users. For nearly every item in the archive file, atfsrepair asks the caller for confirmation or modification. Beware, this level of verbosity can be very annoying when the archive file is big.

-i  Interactive mode (default).

-n  Non-interactive mode. In this mode, atfsrepair tries to repair corrupted archive files without human assistance. It does not perform any user interaction and behaves as if the user would always choose the default decision in interactive mode.

-q  Quiet mode. Same as -n but also supresses all informative messages. Only error messages will be displayed.

-v  Print current version number. No file processing is done.

SEE ALSO
afarchive(5)

BUGS
Dates appear in internal form (seconds since 1970) rather than in human readable form.

AUTHOR
Andreas.Lampen@cs.tu-berlin.de